# Error::getMessage

(No version information available, might only be in Git)

Error::getMessage — Gets the error message

### Description

final public Error::getMessage ( void ) : string

Returns the error message.

### Parameters

This function has no parameters.

### Return Values

Returns the error message as a string.

### Examples

Example #1 Error::getMessage() example

`<?php
try {
throw new Error("Some error message");
} catch(Error $e) {
echo $e->getMessage();
}
?>`

The above example will output something similar to:

    Some error message

### See Also

- Throwable::getMessage() - Gets the message